"""A WSGI app for serving CAS.
"""
from webob import exc
from webob.dec import wsgify


class CASServer(object):
    """A WSGI CAS server.
    """
    @wsgify
    def __call__(self, req):
        return exc.HTTPNotFound()


cas_server = CASServer


def make_cas_server(global_conf, **local_conf):
    return CASServer(**local_conf)
